// Copyright (C) 2000
//          by the Massachusetts Institute of Technology
//
//    Export of this software from the United States of America may
//    require a specific license from the United States Government.  It
//    is the responsibility of any person or organization contemplating
//    export to obtain such a license before exporting.
//
// WITHIN THAT CONSTRAINT, permission to use, copy, modify, and
// distribute this software and its documentation for any purpose and
// without fee is hereby granted, provided that the above copyright
// notice appear in all copies and that both that copyright notice and
// this permission notice appear in supporting documentation, and that
// the name of M.I.T. not be used in advertising or publicity pertaining
// to distribution of the software without specific, written prior
// permission.  M.I.T. makes no representations about the suitability of
// this software for any purpose.  It is provided "as is" without express
// or implied warranty.

// WinsshHexBox.cpp : implementation file
//

#include "stdafx.h"
#include "winssh.h"
#include "WinsshHexBox.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CWinsshHexBox dialog


CWinsshHexBox::CWinsshHexBox(CWnd* pParent /*=NULL*/)
	: CDialog(CWinsshHexBox::IDD, pParent)
{
	//{{AFX_DATA_INIT(CWinsshHexBox)
	m_data = _T("");
	//}}AFX_DATA_INIT
}


void CWinsshHexBox::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CWinsshHexBox)
	DDX_Control(pDX, IDC_DUMP, m_datactrl);
	DDX_Text(pDX, IDC_DUMP, m_data);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CWinsshHexBox, CDialog)
	//{{AFX_MSG_MAP(CWinsshHexBox)
	ON_BN_CLICKED(IDC_CLEAR, OnHexBoxClear)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CWinsshHexBox message handlers

void CWinsshHexBox::OnHexBoxClear() 
{
	m_datactrl.SetWindowText("");	
}
